Package com.castlabs.sdk.debug

# Class DebugPlayerControllerComponent

java.lang.Object
com.castlabs.sdk.debug.DebugPlayerControllerComponent

All Implemented Interfaces:
  `PlayerControllerPlugin.Component`

public final class DebugPlayerControllerComponent extends Object implements PlayerControllerPlugin.Component
Controller component that logs events and states from the `PlayerController`.

In order to interact with this `PlayerControllerPlugin.Component` you need to get an instance of it through `DebugPlugin.getDebugComponent(PlayerController)`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `disableLogAudioRendererEvents()`
  Disables logging of audio renderer events.
  `void`
  `disableLogDecoderCounters()`
  Disables logging of decoder counters.
  `void`
  `disableLogLoadControl()`
  Disables logging of load control.
  `void`
  `disableLogPeriodInfo()`
  Disables logging of period info.
  `void`
  `disableLogTransferInfo()`
  Disables logging of transfer info.
  `void`
  `disableLogVideoRendererEvents()`
  Disables logging of video renderer events.
  `void`
  `enableLogAudioRendererEvents()`
  Enables logging of audio renderer events.
  `void`
  `enableLogDecoderCounters()`
  Enables logging of decoder counters.
  `void`
  `enableLogLoadControl()`
  Enables logging of load control.
  `void`
  `enableLogPeriodInfo()`
  Enables logging of period info.
  `void`
  `enableLogTransferInfo()`
  Enables logging of transfer info.
  `void`
  `enableLogVideoRendererEvents()`
  Enables logging of video renderer events.
  `Class`
  `id()`
  `void`
  `onDestroy(PlayerController playerController)`
  `void`
  `onOpenBundle(PlayerController playerController, Bundle bundle)`
  `void`
  `onOpenState(PlayerController playerController, PlayerConfig playerConfig)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### enableLogVideoRendererEvents

    public void enableLogVideoRendererEvents()
    Enables logging of video renderer events.

  - ### disableLogVideoRendererEvents

    public void disableLogVideoRendererEvents()
    Disables logging of video renderer events.

  - ### enableLogAudioRendererEvents

    public void enableLogAudioRendererEvents()
    Enables logging of audio renderer events.

  - ### disableLogAudioRendererEvents

    public void disableLogAudioRendererEvents()
    Disables logging of audio renderer events.

  - ### enableLogDecoderCounters

    public void enableLogDecoderCounters()
    Enables logging of decoder counters.

  - ### disableLogDecoderCounters

    public void disableLogDecoderCounters()
    Disables logging of decoder counters.

  - ### enableLogTransferInfo

    public void enableLogTransferInfo()
    Enables logging of transfer info.

  - ### disableLogTransferInfo

    public void disableLogTransferInfo()
    Disables logging of transfer info.

  - ### enableLogLoadControl

    public void enableLogLoadControl()
    Enables logging of load control.

  - ### disableLogLoadControl

    public void disableLogLoadControl()
    Disables logging of load control.

  - ### enableLogPeriodInfo

    public void enableLogPeriodInfo()
    Enables logging of period info.

  - ### disableLogPeriodInfo

    public void disableLogPeriodInfo()
    Disables logging of period info.

  - ### id

    @NonNull public Class id()
    Specified by:
      `id` in interface `PlayerControllerPlugin.Component`

  - ### onDestroy

    public void onDestroy(@NonNull PlayerController playerController)
    Specified by:
      `onDestroy` in interface `PlayerControllerPlugin.Component`

  - ### onOpenBundle

    public void onOpenBundle(@NonNull PlayerController playerController, @NonNull Bundle bundle)
    Specified by:
      `onOpenBundle` in interface `PlayerControllerPlugin.Component`

  - ### onOpenState

    public void onOpenState(PlayerController playerController, PlayerConfig playerConfig)
    Specified by:
      `onOpenState` in interface `PlayerControllerPlugin.Component`